Subject: Re: sctp_rcvmsg

From: "Randall Stewart (cisco)" <[email-masked]>
Date: Mon, 05 Apr 2004 07:22:38 -0500

Robert:

As I mentioned to you in a direct mail earlier this A.M...

The current kame snap seems to have some issues. The last
patch I sent had MANY MANY fixes due to the KAME restructure
with the m-tags pull out and the change back to using
embedded scopes.

Some things were broken pretty bad... and I know since
we sent the last patch in we have found other issues. We
also have brought the interface current to the V-8 socket
API draft which was just submitted.

Normally we wait to build a second patch until after kame
gets the last one applied... I will attempt, however, to get
a new patch up on the sctp.org web site that encompasses
all fixes... and of course try things out.. I know the U-D had
similar problems and yet I did not on my local set of FreeBSD
machines.... but of course they are always patched :-D

R

ROBERT MAGNUSSON wrote:

>Hello !  
>  
>We've tested some examples using sctp_sendmsg() and sctp_recvmsg(), for  
>example the echo client-server in section 10 in Unix Network Programming 
>3rd edition. This example doesn't seem to work on the KAME stack under 
>freeBSD, all fields in the client sockaddr_in are set to "0" and the 
>length is also set to "0" (4:th and 5:th argument) when calling 
>sctp_recvmsg(). The same goes for msghdr struct when calling recvmsg(). 
>In the example the client uses sctp_sendmsg(), without any call to 
>connetct, to send the message to the server and the server uses 
>sctp_recvmsg(), without any call to accept, to receive the message. The 
>data is delivered but no information about the peer address is delivered. 
>What's wrong in the example, is something missing?  
>  
>Regards  
>and Thanks in advance  
>Tomas Nilsson   
>Robert Magnusson  
>Karlstad University  
>  
> 
>  
>
>
>
>  
>

-- 
Randall R. Stewart
ITD - Transport Technologies
815-477-2127(o) or 815-342-5222(c)